Favicon

You are here: Home > API Reference > Platform > Otpusers > Delete an OTP user from the store

Delete an OTP user from the store

Required Permission: mad.store.otpUsers.remove

Permanently removes an OTP user and revokes their download access.

DELETE
https://api.applivery.io/v1/organizations/{organizationSlug}/stores/{storeId}/otp-users/{otpUserId}
curl -X DELETE "https://api.applivery.io/v1/organizations/{organizationSlug}/stores/{storeId}/otp-users/{otpUserId}" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationSlug}/stores/{storeId}/otp-users/{otpUserId}", {
  method: "DELETE",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.delete(
    "https://api.applivery.io/v1/organizations/{organizationSlug}/stores/{storeId}/otp-users/{otpUserId}",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

storeId string
required
Match pattern: ^[a-fA-F0-9]{24}$
otpUserId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
delete any required
{
    "status": true,
    "data": {
        "delete": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
6001
message string optional
Database Validation Error
{
    "status": false,
    "error": {
        "code": 6001,
        "message": "Database Validation Error"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}